Actualizar quick message
PUT
/quick-messages/{id}
const url = 'https://api.matiasimpulso.com/quick-messages/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"shortcode":"hello-updated","title":"Saludo inicial actualizado","message":"Hola, ¿en qué puedo ayudarte hoy? (Actualizado)","category":"general","isVisible":false,"isActive":false,"fileBase64":"data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK...","fileName":"document.pdf"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.matiasimpulso.com/quick-messages/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "shortcode": "hello-updated", "title": "Saludo inicial actualizado", "message": "Hola, ¿en qué puedo ayudarte hoy? (Actualizado)", "category": "general", "isVisible": false, "isActive": false, "fileBase64": "data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK...", "fileName": "document.pdf" }'Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada « Path Parameters » id
required
number
Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
shortcode
Unique shortcode for the quick message
string
Example
hello-updated title
Display title for the quick message
string
Example
Saludo inicial actualizado message
Message content
string
Example
Hola, ¿en qué puedo ayudarte hoy? (Actualizado) category
Message category
string
Example
general isVisible
Whether the quick message is visible in the UI
boolean
Example
false isActive
Whether the quick message is active
boolean
Example
false fileBase64
Base64-encoded file content to replace the media attachment (transitory field, not stored in database)
string
Example
data:application/pdf;base64,JVBERi0xLjQKJeLjz9MK... fileName
Original filename for the new media attachment (transitory field)
string
Example
document.pdf